apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  name: {{ include "rvrd.fullname" . }}-postgresql
  labels:
    {{- include "rvrd.labels" . | nindent 4 }}
spec:
  instances: {{ .Values.postgresql.instances }}
  imageName: "ghcr.io/cloudnative-pg/postgresql:{{ (required "PostgreSQL version is required" .Values.postgresql.version) | toString }}"
  storage:
    size: {{ required "PostgreSQL storage size is required" .Values.postgresql.storageSize }}
  parameters:
    log_filename: 'postgresql-%A.log'
    log_rotation_age: '7d'
    log_truncate_on_rotation: 'on'
  bootstrap:
    initdb:
      database: common
      owner: db_admin
      postInitSQL:
        - CREATE DATABASE nlx_auditlog WITH OWNER db_admin;
        - CREATE DATABASE nlx_controller WITH OWNER db_admin;
        - CREATE DATABASE nlx_manager WITH OWNER db_admin;
        - CREATE DATABASE rvrd_tx_log WITH OWNER db_admin;
